<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;
use Illuminate\Support\Facades\Log;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     *
     * @param \Illuminate\Console\Scheduling\Schedule $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {

        //para ejecutar la cola de laravel mail y sms
        $schedule->command('queue:work --stop-when-empty')
            ->name('queue_work_name')
            ->everyMinute();


        // envio de mail promociones lunes a las 8 am
//        $schedule->command('mail:promociones')
//            ->weeklyOn(1 , '8:00');

        // envio de mail destacados lunes a las 8 am
//        $schedule->command('mail:destacados')
//            ->weeklyOn(1 , '8:00');



    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__ . '/Commands');

        require base_path('routes/console.php');
    }
}
