<?php

namespace App\Exports;

use Carbon\Carbon;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;
use Maatwebsite\Excel\Concerns\WithStyles;
use PhpOffice\PhpSpreadsheet\Style\Color;
use PhpOffice\PhpSpreadsheet\Worksheet\Worksheet;


class OrdenesPorEntregarExport implements FromView , ShouldAutoSize , WithStyles

{
    /**
     * @return \Illuminate\Support\Collection
     */
    public $request;
    public $fecha_recibida;

    public function __construct($request , $fecha_recibida)
    {

        $this->request        = $request;
        $this->fecha_recibida = $fecha_recibida;
    }

    /**
     * @return \Illuminate\Support\Collection
     */


    public function view(): View
    {
        return view('excel.ordenesPorEntregar' , [
            'headers' => $this->request ,
            'fecha_recibida' => Carbon::create($this->fecha_recibida)->format('d-m-Y')
        ]);
    }

    public function styles(Worksheet $sheet)
    {
        return [
            // Style the first row as bold text.
            1 => ['font' => ['bold' => true , 'size' => 14/*,  'color' => ['argb' => Color::COLOR_RED]*/]]
        ];
    }
}
