<?php

namespace App\Jobs;

use App\Mail\QRmail;
use App\Models\OrderHeader;
use Barryvdh\DomPDF\Facade as PDF;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Str;
use QrCode;

class GenerarPdfJob implements ShouldQueue
{
    use Dispatchable , InteractsWithQueue , Queueable , SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $idOrden;

    public function __construct($idOrden)
    {
        $this->idOrden = $idOrden;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $tocken = Str::random(100) . time();
        $order  = OrderHeader::find($this->idOrden);
        $order->update(['tocken_url' => $tocken]);
//        $qr_64 = $this->get_qr("https://demo.islapixel.com/detailOrder/" . $idOrden);
        $qr_64 = $this->get_qr(env('APP_URL_FRONT') . "/islapixel-api/public/cod/" . $tocken); //genera una url de front para el producto
        $pdf   = PDF::loadView('qr.index2' , ['qr_64' => $qr_64 , "palabra" => $order->n_order]);

        //Renderiza el archivo primero
        $pdf->render();
        $nombre_interno = $this->idOrden . '_' . time() . ".pdf";
        //Guardalo en una variable
        $output = $pdf->output();
//        Storage::disk('public')->put('\\pdfqr\\' . $nombre_interno , $output);

        try {
            Mail::to($order->customer->email)->send(new QRmail($output , $order->n_order , $qr_64));
        } catch (\Exception $e) {
            Log::error('No se pudo enviar el mail con el QR de la orden con id ' . $this->idOrden . ', se muestra el error: ' . $e->getMessage() . ', Linea: ' . $e->getLine());
//            return [
//                'No se pudo enviar el mail con el QR de la orden con id ' . $this->idOrden . ', el correo ' . $order->customer->email . ' no existe'
//            ];
        }

    }
    public static function get_qr($palabra)
    {


//        $pdf = PDF::loadHTML('<h1>Styde.net</h1>');
//
//        return $pdf->download('mi-archivo.pdf');

//        $var = QrCode::generate('Make me into a QrCode!', '\\qrcodes\\qrcode.svg');
//        return $var;
//        $this->qr = asset('storage\\app\\public\\qrcodes\\qrcode.svg'); //server
//        $qr    = asset('storage\\qrcodes\\qrcode.svg'); //local
//        $qr_64 = base64_encode(QrCode::format('png')->size(1000)->generate($palabra));
        $qr_64 = base64_encode(QrCode::format('png')->size(1000)->generate($palabra));
//        dd($this->qr);

//        return view('correos.showStatusPedido2')->with('qr' , $qr);

        return $qr_64;
    }
}
