<?php

namespace App\Jobs;

use App\Http\Controllers\OrderHeaderController;
use App\Mail\QRmail;
use App\Mail\ResumenCompraMail;
use App\Models\OrderHeader;
use App\Models\TiemposDeEntrega;
use Barryvdh\DomPDF\Facade as PDF;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldBeUnique;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;
use QrCode;

class GenerarPdfOrdenJob /*implements ShouldQueue*/
{
    use Dispatchable , InteractsWithQueue , Queueable , SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    protected $idOrden;

    public function __construct($idOrden)
    {
        $this->idOrden = $idOrden;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $orden = OrderHeader::find($this->idOrden);

        $data           = OrderHeaderController::resumen_orden_reusable($this->idOrden)->getData();
        $orden->resumen = $data;
//        dd($orden);
//        $descuento = 0;
//        if ($orden->fk_descuento){
//            $descuento = $orden->descuento->valor;
//        }
//        $precio_total                      = $orden->precio_total;
//        $precio_con_descuento              = $precio_total - ($precio_total * ($descuento / 100));
//        $descuento_total                   = ($precio_total * ($descuento / 100));
//        $orden->descuento_total            = $descuento_total;
//        $orden->precio_total_con_descuento = $precio_total - $descuento_total;
//        /*Buscando los tiempos de entrega*/
//        $tiempo                   = TiemposDeEntrega::where('idTiempoEntrega' , $orden->fk_idTiempoEntrega)->get();
//        $total_por_tiempo_entrega = 0;
//        $nuevo_precio;
//        if (count($tiempo) > 0){
//            if ($orden->fk_idTiempoEntrega==1){
//                $nuevo_precio = ($orden->precio_total_con_descuento * (($tiempo[0]->percentaje / 100) + 1)); //se incrementa el porcentaje asignado
//            } elseif ($orden->fk_idTiempoEntrega==3) {
//                $nuevo_precio = ($orden->precio_total_con_descuento - (($tiempo[0]->percentaje / 100) * $orden->precio_total_con_descuento)); //se incrementa el porcentaje asignado
//            } elseif ($orden->fk_idTiempoEntrega==2) {
//                $nuevo_precio = $orden->precio_total_con_descuento;
//            }
//        }
//        $orden->monto_x_tiempo_entrega = round(($tiempo[0]->sum==0 ? -1 : 1) * ($precio_total * ($tiempo[0]->percentaje / 100)) , 2);
//        $orden->precio_total_total     = $nuevo_precio;

        $pdf = PDF::loadView('qr.index4' , ["orden" => $orden]);

        //Renderiza el archivo primero
        $pdf->render();
        $nombre_interno = $this->idOrden . '_orden_' . time() . ".pdf";
        //Guardalo en una variable
        $output = $pdf->output();
//        dd($output);
//        Storage::disk('public')->put('\\pdfqr\\' . $nombre_interno , $output);

        try {
            $email = $orden->customer->email;
//            $email = 'alecortez240192@gmail.com';
            Mail::to($email)->send(new ResumenCompraMail($output , $orden->n_order , $orden));
        } catch (\Exception $e) {
            Log::error('No se pudo enviar el mail con id ' . $this->idOrden . ', se muestra el error: ' . $e->getMessage() . ', Linea: ' . $e->getLine());
//            return [
//                'No se pudo enviar el mail con el QR de la orden con id ' . $this->idOrden . ', el correo ' . $orden->customer->email . ' no existe'
//            ];
        }

    }

    public static function get_qr($palabra)
    {


//        $pdf = PDF::loadHTML('<h1>Styde.net</h1>');
//
//        return $pdf->download('mi-archivo.pdf');

//        $var = QrCode::generate('Make me into a QrCode!', '\\qrcodes\\qrcode.svg');
//        return $var;
//        $this->qr = asset('storage\\app\\public\\qrcodes\\qrcode.svg'); //server
//        $qr    = asset('storage\\qrcodes\\qrcode.svg'); //local
//        $qr_64 = base64_encode(QrCode::format('png')->size(1000)->generate($palabra));
        $qr_64 = base64_encode(QrCode::format('png')->size(1000)->generate($palabra));
//        dd($this->qr);

//        return view('correos.showStatusPedido2')->with('qr' , $qr);

        return $qr_64;
    }
}
