<?php

namespace App\Mail;

use App\Models\User;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ClaveTemporalMail extends Mailable implements ShouldQueue
{
    use Queueable , SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public $user;
    protected $clave;


    public function __construct(User $user , $clave)
    {
        $this->user  = $user;
        $this->clave = $clave;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('correos.claveTemporal')
            ->subject('Clave temporal')
            ->with('clave' , $this->clave);
    }
}
