<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DatosAdicionalesOrdenes extends Model
{
    use SoftDeletes;
    use HasFactory;
    protected $table = 'datos_adicionales_ordenes';
    protected $primaryKey = 'idDatosAdicionalesOrdes';
    protected $with = ['orden' , 'usuario_creador_de_datos'];
    protected $fillable = [
        'idUser' ,
        'fecha_creacion' ,
        'idOrderHeader' ,
        'email' ,
        'typeIdentification' ,
        'numerIdentificacion' ,
        'phone'
    ];
//    protected $hidden = [
//        'created_at',
//        'updated_at',
//        'deleted_at',
//    ];
    public function usuario_creador_de_datos()
    {
        return $this->belongsTo(User::class , 'idUser');
    }

    public function orden()
    {
        return $this->belongsTo(OrderHeader::class , 'idOrderHeader')
            ->without('interacciones' , 'body' , 'historiaStatus')
            ->with(['sucursal_orden' => function ($query){
                $query->without('formaDePago' , 'zonasEnvio');
            }]);
    }
}
