<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Descuento extends Model
{
    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
    use SoftDeletes;
    use HasFactory;
    protected $table = 'descuentos';
    protected $primaryKey = 'idDescuento';
    protected $fillable = [
        'code' ,
        'descripcion' ,
        'valor' ,
        'fecha_vencimiento' ,
        'idUsuario' ,
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at' ,
        'deleted_at' ,
    ];
    protected $dates = ['fecha_vencimiento'];

    public function scopeActive($query)
    {
        $query->where('fecha_vencimiento' , '>=' , now()->format('Y-m-d H:i:s'));
    }

    public function usuario()
    {
        return $this->belongsTo(User::class , 'idUsuario');
    }

}
