<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Elemento extends Model
{
    use SoftDeletes;
    use HasFactory;
    protected $with = ['producto'];
//    protected $appends = ['idProducto'];
    protected $table = 'elementos';
    protected $primaryKey = 'idElemento';
    protected $casts = ['instalacion' => 'boolean','sobrante' => 'boolean' ,'removible' => 'boolean' , 'sum_ancho_bool' => 'boolean' , 'sum_alto_bool' => 'boolean' , 'div_x_cm' => 'boolean' , 'calcular_cm' => 'boolean'];
    protected $fillable = [
        'idProducto' ,
        'fk_producto' , //producto enviado
        'cantidad' , //nuevo
        'precio' ,
        'removible' ,
        'total' ,
        'product_name' ,
        'fk_idProducto' , //relacion de producto creado
        'sum_ancho_bool' ,
        'sum_alto_bool' ,
        'div_x_cm' ,
        'calcular_cm' ,
        'sobrante',
        'instalacion'
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at'
    ];

    public function producto()
    {
        return $this->belongsTo(Producto::class , 'fk_producto')->without('elementos');
    }

    public function getidProductoAttribute()  //se hace para corrgir error en front
    {
        return $this->fk_producto;
    }

//    public function productoCreado()
//    {
//        return $this->belongsTo(Producto::class , 'fk_idProducto')->without('elementos' , 'servicios');
//    }
}
