<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ElementosOrden extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'elementos_orden';
    protected $primaryKey = 'idElementoOrden';
    protected $with = ['elemento'];
    protected $fillable = [
        'fk_elemento' ,
        'fk_producto' ,
        'fk_orden_body' ,
    ];
    public function elemento()
    {
        return $this->belongsTo(Elemento::class , 'fk_elemento');
    }
    public function producto()
    {
        return $this->belongsTo(Producto::class , 'fk_producto');
    }
}
