<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FechaDeNoEntrega extends Model
{
    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d');
    }
    use HasFactory;
    use SoftDeletes;
    protected $with = ['usuario_creador'];
    protected $table = 'fecha_de_no_entregas';
    protected $primaryKey = 'idFechaNoEntrega';
    protected $fillable = [
        'id_user_creador' ,
        'fecha_de_no_entrega'
    ];
    protected $dates = [
        'fecha_de_no_entrega' ,
    ];
    public function usuario_creador()
    {
        return $this->belongsTo(User::class , 'id_user_creador');
    }

//    public function verificar_bloqueado(){
//        return $this->hasMany(DiasDeEntregaBloquados::class , 'fecha_de_no_entregas','dia');
//    }
}
