<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FormaDePago extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $with = ['moneda'];
    protected $table = 'forma_de_pagos';
    protected $primaryKey = 'idFormaPago';
    protected $casts = ['requiere_comprobante_pago' => 'boolean'];
    protected $fillable = [
        'descripcion' ,
        'porcentaje' ,
        'requiere_comprobante_pago' ,
        'fk_moneda' ,
    ];
    public function moneda()
    {
        return $this->belongsTo(Moneda::class , 'fk_moneda');
    }

}
