<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FormasDePagoSucursal extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'formas_de_pago_sucursales';
    protected $primaryKey = 'idFormaPagoSucursal';
    protected $casts = ['status' => 'boolean'];
    protected $with = ['status' , 'formaDePago' , 'sucursal'];
    protected $fillable = [
        'nombre' ,
        'fk_sucursal' ,
        'fk_formaDePago' ,
        'n_cuenta' ,
        'status' ,
    ];

    public function status()
    {
        return $this->belongsTo(Estado::class , 'status');
    }

    public function formaDePago()
    {
        return $this->belongsTo(FormaDePago::class , 'fk_formaDePago');
    }

    public function sucursal()
    {
        return $this->belongsTo(Sucursal::class , 'fk_sucursal');
    }
}
