<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Galeria extends Model
{
    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    use SoftDeletes;
    use HasFactory;
    protected $appends = ['UrlImagen'];
    protected $table = 'galerias';
    protected $primaryKey = 'idGaleria';
    protected $fillable = [
        'nombre' ,
        'descripcion' ,
        'img' ,
    ];

    public function getUrlImagenAttribute()
    {
        return is_null($this->img) ? null : env('BASE_URL_IMG').'\\storage\\app\\public\\galeria\\' . $this->img;
    }
}
