<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class HistoriaRegistroSeniatOrden extends Model
{
    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    use SoftDeletes;
    use HasFactory;
    protected $table = 'historia_registro_seniat_ordens';
    protected $primaryKey = 'idHistoriaSeniat';
    protected $fillable = [
        'idOrderHeader' ,
        'n_factura_seniat' ,
        'idUserCreated' ,
        'motivo' ,
    ];

    public function user_creador()
    {
        return $this->belongsTo(User::class , 'idUserCreated');
    }

    public function orden()
    {
        return $this->belongsTo(OrderHeader::class , 'idOrderHeader');
    }
}
