<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HistoriaStatusOB extends Model
{
    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    use HasFactory;
    protected $table = 'historia_status_order_body';
    protected $primaryKey = 'idHitoriaStatusOB';
    protected $with = ['estatus' , 'usuario_que_cambia_estatus'];

    protected $fillable = [
        'idOrderBody' ,
        'idStatusOrden' ,
        'idUser' ,
    ];
    protected $hidden = [
        'updated_at' ,
    ];

    public function estatus()
    {
        return $this->belongsTo(EstatusOrden::class , 'idStatusOrden');
    }

    public function usuario_que_cambia_estatus()
    {
        return $this->belongsTo(User::class , 'idUser');
    }
}
