<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ImagenesProductos extends Model
{
    use HasFactory;

    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    use SoftDeletes;
    use HasFactory;
    protected $table = 'imagenes_productos';
    protected $primaryKey = 'idImagenesProductos';
    protected $fillable = [
        'nombre_imagen' ,
        'fk_idProducto' ,
    ];

    protected $appends = ['UrlImagen'];

    public function getUrlImagenAttribute()
    {
        return is_null($this->nombre_imagen) ? null : env('BASE_URL_IMG').'\\storage\\app\\public\\producto\\galeria\\' . $this->nombre_imagen;
    }
}
