<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Interacciones extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'interacciones';
    protected $primaryKey = 'idInteraccion';
    protected $casts = ['leido' => 'boolean'];
    protected $appends = ['UrlImagen'];
    protected $with = ['user','user_lector'];
    protected $fillable = [
        'fk_idHeader' ,
        'descripcion' ,
        'file' ,
        'leido' ,
        'fk_idUser' ,
        'fk_idUser_lector' ,
    ];

    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    public function scopeLeido($query)
    {
        $query->where('leido' , true);
    }

    public function getUrlImagenAttribute()
    {
        return is_null($this->file) ? null : env('BASE_URL_IMG').'\\storage\\app\\public\\interacion\\' . $this->file;
    }

    public function user()
    {
        return $this->belongsTo(User::class , 'fk_idUser');
    }
    public function user_lector()
    {
        return $this->belongsTo(User::class , 'fk_idUser_lector');
    }
}
