<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class InventarioDeProducto extends Model
{
    // este modelo actua como body
    use SoftDeletes;
    use HasFactory;

    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    protected $table = 'inventario_de_productos';
    protected $primaryKey = 'idInventario';
    protected $casts = ['incremento' => 'boolean'];
    protected $with = ['producto'];
    protected $fillable = [
        'fk_idProducto' ,
        'cantidad' ,
        'costo' ,
        'date' ,
        'incremento' ,
        'fk_header' ,
        'fk_idSucursal'
    ];

    public function sucursal()
    {
        return $this->belongsTo(Sucursal::class , 'fk_idSucursal')->without('formaDePago');
    }

    public function producto()
    {
        return $this->belongsTo(Producto::class , 'fk_idProducto');
    }

    public function inventario_header()
    {
        return $this->belongsTo(InventarioProductoHeader::class , 'fk_header');
    }


}
