<?php

namespace App\Models;

use Askedio\SoftCascade\Traits\SoftCascadeTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class InventarioProductoHeader extends Model
{
    use SoftDeletes;
    use HasFactory;
    protected $with = ['sucursal','statusInventario' , 'usuarioCreador' , 'body' , 'tipo_inventario'];
    use SoftCascadeTrait;
    protected $softCascade = ['body'];

    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    protected $table = 'inventario_producto_headers';
    protected $primaryKey = 'idInventarioProductoHeader';
    protected $fillable = [
        'status' ,
        'idUserCreador' ,
        'fechaUsuario' ,
        'descripcion' ,
        'fk_tipo_inventario',
        'fk_idSucursal',
    ];
    protected $dates = [
        'fechaUsuario'
    ];

    public function tipo_inventario()
    {
        return $this->belongsTo(TipoInventario::class , 'fk_tipo_inventario');
    }
    public function sucursal()
    {
        return $this->belongsTo(Sucursal::class , 'fk_idSucursal')->without('formaDePago');
    }

    public function body()
    {
        return $this->hasMany(InventarioDeProducto::class , 'fk_header' , 'idInventarioProductoHeader');
    }

    public function statusInventario()
    {
        return $this->belongsTo(EstatusInventario::class , 'status');
    }

    public function usuarioCreador()
    {
        return $this->belongsTo(User::class , 'idUserCreador');
    }

}
