<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Moneda extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'monedas';
    protected $primaryKey = 'idMoneda';
    protected $casts = ['status' => 'boolean' , 'porDefecto' => 'boolean'];
//    protected $with = ['tasa'];
    protected $fillable = [
        'descripcion' ,
        'simbolo' ,
        'status' ,
        'porDefecto' ,
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at' ,
        'deleted_at'
    ];

    public function scopeActive($query)
    {
        $query->where('status' , true);
    }

//    public function tasa()
//    {
//        return $this->hasMany(TasaMoneda::class , 'fk_moneda' , 'idMoneda')->active()->orderBy('created_at' , 'desc');
//    }

}
