<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class NotificacionCobro extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'notificacion_cobros';
    protected $primaryKey = 'idNotificacionCobro';
    protected $fillable = [
        'descripcion' ,
        'fk_idAsesor' ,
        'fk_idCliente'
    ];
    public function cliente()
    {
        return $this->belongsTo(User::class , 'fk_idCliente')->without('notificaciones_cobros');
    }
    public function asesor()
    {
        return $this->belongsTo(User::class , 'fk_idAsesor')->without('notificaciones_cobros');
    }
}
