<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class OrdenesEnviadasImpresas extends Model
{
    use SoftDeletes;
    use HasFactory;
    protected $table = 'ordenes_enviadas_impresas';
    protected $primaryKey = 'idOrdenEnviadaImpresa';
    protected $casts = ['esta_impreso' => 'boolean'];
    protected $fillable = [
        'fk_idOrdenHeader' ,
        'fk_idUser' ,
        'esta_impreso' ,
    ];

    public function usuario()
    {
        return $this->belongsTo(User::class , 'fk_idUser');
    }
}
