<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Personal extends Model
{
    use SoftDeletes;
    use HasFactory;
    protected $table = 'personales';
    protected $primaryKey = 'idPersonal';
    protected $with = ['tipoPersonal'];
    protected $fillable = [
        'descripcion' ,
        'porcentaje' ,
        'fk_idTipoPersonal' ,
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at' ,
        'deleted_at' ,
    ];

    public function tipoPersonal()
    {
        return $this->belongsTo(TipoPersonal::class , 'fk_idTipoPersonal');
    }
}
