<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Promociones extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'promociones';
    protected $primaryKey = 'idPromocion';
    protected $appends = ['UrlImagen'];
    protected $fillable = [
        'descripcion' ,
        'img' ,
        'nombre' , //falta
        'url' ,
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at' ,
        'deleted_at' ,
    ];

    public function getUrlImagenAttribute()
    {
        return is_null($this->img) ? null : env('BASE_URL_IMG').'\\storage\\app\\public\\promociones\\' . $this->img;
    }
}
