<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ServiciosOrden extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $table = 'servicios_orden';
    protected $primaryKey = 'idServicioOrden';
    protected $with = ['servicio' , 'personal','producto'];
    protected $fillable = [
        'fk_elemento' ,
        'fk_producto' ,
        'fk_orden_body' ,
        'fk_idPersonal' ,
        'comision_porcentaje' ,
        'comision_moneda' ,
    ];

    public function servicio()
    {
        return $this->belongsTo(ServiciosProducto::class , 'fk_elemento')->withTrashed();
    }
    public function producto()
    {
        return $this->belongsTo(Producto::class , 'fk_producto')->withTrashed();
    }

    public function personal()
    {
        return $this->belongsTo(Personal::class , 'fk_idPersonal');
    }
}
