<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ServiciosProducto extends Model
{
    use SoftDeletes;
    use HasFactory;
    protected $table = 'servicios_productos';
    protected $primaryKey = 'idServicioProducto';
    protected $with = ['producto'];
    protected $casts = ['removible' => 'boolean'];
    protected $fillable = [
        'fk_producto' ,
        'product_name' ,
        'cantidad' ,
        'precio' ,
        'total' ,
        'removible' ,
        'fk_idProducto', //relacion de producto creado
        'idPersonal'
    ];

    protected $hidden = [
        'updated_at' ,
        'created_at' ,
        'deleted_at'
    ];

    public function producto()
    {
        return $this->belongsTo(Producto::class , 'fk_producto');
    }

    public function productoCreado()
    {
        return $this->belongsTo(Producto::class , 'fk_idProducto')->without('elementos' , 'servicios');
    }
}
