<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SubTipo extends Model
{
    use SoftDeletes;
    protected $with = ['tipo'];
    use HasFactory;
    protected $table = 'sub_tipos';
    protected $primaryKey = 'idSubTipo';
    protected $casts = ['activar_para_web' => 'boolean'];
    protected $appends = ['UrlImagen'];
    protected $fillable = [
        'nombre' ,
        'fk_tipo' ,
        'activar_para_web' ,
        'img' ,
    ];

    public function getUrlImagenAttribute()
    {
        return is_null($this->img) ? null : env('BASE_URL_IMG').'\\storage\\app\\public\\subtipo\\' . $this->img;
    }

    public function tipo()
    {
        return $this->belongsTo(Tipo::class , 'fk_tipo');
    }

    protected $hidden = [
        'created_at' ,
        'updated_at'
    ];
}
