<?php

namespace App\Models;

use Askedio\SoftCascade\Traits\SoftCascadeTrait;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Sucursal extends Model
{
    use SoftCascadeTrait;
    use HasFactory;
    use SoftDeletes;
    protected $table = 'sucursales';
    protected $primaryKey = 'idSucursal';
    protected $with = ['formaDePago' , 'zonasEnvio'];
    protected $softCascade = ['formaDePago'];


    protected $fillable = [
        'nombre' ,
        'direccion' ,
        'telefono' ,
        'email' ,
        'rif' ,
    ];

    protected $hidden = [
        'updated_at' ,
        'created_at' ,
        'deleted_at'
    ];

    public function formaDePago()
    {
        return $this->hasMany(FormasDePagoSucursal::class , 'fk_sucursal' , 'idSucursal')->where('status' , 1)->without('sucursal');
    }

    public function zonasEnvio()
    {
        return $this->hasMany(ZonaEnvio::class , 'fk_idSucursal' , 'idSucursal')->without('sucursal');
    }

}
