<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TasaMoneda extends Model
{
    protected function serializeDate(\DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    use HasFactory;
    use SoftDeletes;
    protected $table = 'tasa_monedas';
    protected $primaryKey = 'idTasaMoneda';

    protected $fillable = [
        'tasa' ,
        'fk_moneda' ,
        'fecha_vencimiento' ,
    ];

    protected $hidden = [
        'updated_at' ,
        'deleted_at'
    ];
    protected $dates = [
        'fecha_vencimiento'
    ];

    public function moneda()
    {
        return $this->belongsTo(Moneda::class , 'fk_moneda');
    }

//    public function scopeActive($query)
//    {
//        $query->where('fecha_vencimiento' , '>=' , now()->format('Y-m-d'));
//    }

    public function scopeActive($query)
    {
        $query->orderby('idTasaMoneda','desc');
    }

}
