<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Tipo extends Model
{
//    protected $with = ['subtipo'];
    use SoftDeletes;
    use HasFactory;
    protected $table = 'tipos';
    protected $primaryKey = 'idTipo';
    protected $fillable = [
        'nombre' ,
        'activar_para_web'
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at' ,
        'deleted_at' ,
    ];

    public function subtipo()
    {
        return $this->hasMany(SubTipo::class , 'fk_tipo' , 'idTipo')
            ->without('tipo')
            ->where('activar_para_web' , 1);
    }

}
