<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Vallas extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $appends = ['UrlImagen'];
    protected $table = 'vallas';
    protected $primaryKey = 'idValla';
    protected $casts = ['switch2Caras' => 'boolean' , 'switch1Cara' => 'boolean' , 'dosCaras' => 'boolean' , 'disponible' => 'boolean'];
    protected $fillable = [
        'nombre' ,
        'ubicacion' ,
        'latitud' ,
        'longitud' ,
        'foto' ,
        'observacion' ,
        'disponible' ,
        'dosCaras' ,
        'switch1Cara' ,
        'switch2Caras',
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at' ,
        'deleted_at' ,
    ];

    public function getUrlImagenAttribute()
    {
        return is_null($this->foto) ? null : env('BASE_URL_IMG' , '') . '\\storage\\app\\public\\vallas\\' . $this->foto;
    }
}
