<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ZonaEnvio extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $with = ['moneda_zonaenvio','sucursal'];
    protected $table = 'zona_envios';
    protected $primaryKey = 'idZonaEnvio';
    protected $casts = ['instalacion' => 'boolean'];
    protected $fillable = [
        'descripcion' ,
        'precio' ,
        'fk_moneda' ,
        'instalacion' ,
        'fk_idSucursal' ,
    ];
    protected $hidden = [
        'created_at' ,
        'updated_at' ,
        'deleted_at' ,
    ];
    public function scopeActive($query)
    {
        $query->where('instalacion' , true);
    }
    public function moneda_zonaenvio()
    {
        return $this->belongsTo(Moneda::class , 'fk_moneda');
    }

    public function sucursal()
    {
        return $this->belongsTo(Sucursal::class , 'fk_idSucursal')->without('zonasEnvio');
    }
}
