<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>PDF Orden</title>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
          integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <style>
        @page {
            margin: 0cm 0cm;
        }

        .invoice {
            position: relative;
        }

        .p-3 {
            padding: 1rem !important;
        }

        .mb-3, .my-3 {
            margin-bottom: 1rem !important;
        }


        body {
            min-height: 100%;
            padding: 9%;
            background-image: url("https://demo.islapixel.com/backend/public/orden_pdf/ri_1.png");
        }


    </style>
</head>
<body>
<div class="invoice p-3 mb-3">
    <div class="row">
        <div class="col-12">
            <h4>
                <i class="fas fa-globe"></i> <img src="https://islapixel.shop/islapixel-api/public/img/logo.png"
                                                  style="width:214px">
                <br>
                <small class="float-right">ORDEN: {{$orden->n_order}}</small>

            </h4>
            <h4>
                <br>
                <small class="float-right">ENTREGA ESTIMADA: {{$orden->date_delivery->format('d-m-Y')}}</small>
            </h4>

        </div>

    </div>
    <div class="row">
        <div class="col-12">
{{--            <h6>--}}
{{--                --}}{{--                <i class="fas fa-globe"></i> SUCURSAL: {{$orden->sucursal_orden->nombre}}--}}
{{--                --}}{{--                <small class="float-right">ORDEN: {{$orden->n_order}}</small>--}}
{{--            </h6>--}}
        </div>

    </div>

    <div class="row invoice-info">
        <div class="col-sm-6 invoice-col">
            <address>
                SUCURSAL: {{$orden->sucursal_orden->nombre}}<br>
                RECIBIDO: {{$orden->created_at->format('d-m-Y')}}<br>
                CLIENTE: {{strtoupper($orden->customer->fullName)}}<br>
                N° I. : {{strtoupper($orden->customer->numerIdentificacion)}}<br>
                TELEF.: {{strtoupper($orden->customer->phone)}}<br>
                ASESOR: {{strtoupper($orden->usuario_lector->fullName)}}<br>
                NOTAS: S/N
            </address>
        </div>
    </div>

    <div class="row">
        <div class="col-12 table-responsive">
            <table class="table table-striped">
                <thead>
                <tr>
                    <th>Items</th>
                    <th>Cant.</th>
                    <th style="text-align: right">Precio Uni.</th>
                    <th style="text-align: right">Precio Total</th>
                </tr>
                </thead>
                <tbody>
                @foreach($orden->body as $key=>$body)
                    <tr>
                        <td>{{$body->Producto->name}} - {{$body->Producto->alto_estandard}}
                            * {{$body->Producto->ancho_estandard}})
                        </td>
                        <td>{{$body->cantidad}}</td>
                        <td style="text-align: right">{{$body->moneda->simbolo}}{{number_format(round(($body->precio/$body->cantidad),2),2)}}</td>
                        <td style="text-align: right">{{$body->moneda->simbolo}}{{number_format(round($body->cantidad*($body->precio/$body->cantidad),2),2)}}</td>
                    </tr>
                @endforeach
                </tbody>
                <tfoot>
                <tr>
                    <th></th>
                    <th></th>
                    <th style="text-align: right">Subtotal:</th>
                    <th style="text-align: right">{{$orden->moneda_orderheader->simbolo}}{{number_format(round($orden->resumen->totalOrden,2),2)}}</th>
                </tr>
                <tr>
                    <th></th>
                    <th></th>
                    <th style="text-align: right">DTO({{@$orden->descuento->valor}}%):</th>
                    <th style="text-align: right">{{$orden->moneda_orderheader->simbolo}}{{number_format(round($orden->resumen->totalDescuento,2),2)}}</th>
                </tr>
                <tr>
                    <th></th>
                    <th></th>
                    <th style="text-align: right">{{$orden->tiempo_entrega->type}}({{$orden->tiempo_entrega->percentaje}}%)</th>
                    <th style="text-align: right">{{$orden->moneda_orderheader->simbolo}}{{number_format(round($orden->resumen->monto_x_tiempo_entrega,2),2)}}</th>
                </tr>
                <tr>
                    <th></th>
                    <th></th>
                    <th style="text-align: right">TOTAL:</th>
                    <th style="text-align: right">{{$orden->moneda_orderheader->simbolo}}{{number_format(round(($orden->resumen->total),2),2)}}</th>
                </tr>
                </tfoot>
            </table>
        </div>

    </div>
</div>
</body>
</html>
